Bug 60296 - XHTML Export describes product as OpenOffice.org
Summary: XHTML Export describes product as OpenOffice.org
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2013-02-04 22:57 UTC by Robinson Tryon (qubit)
Modified: 2021-12-16 04:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-02-04 22:57:44 UTC
Ubuntu 12.04.1
LO 3.5.4.2

When exporting a document in Writer to (X)HTML, the resulting document contains the following comment:

<!--This file was converted to xhtml by OpenOffice.org - see http://xml.openoffice.org/odf2xhtml for more info.-->

The file also contains the tag:

<meta name="DCTERMS.source" content="http://xml.openoffice.org/odf2xhtml"/>

---

1. The file was converted to xhtml by LibreOffice, not OpenOffice.org.

2. The DCTERMS.source file should be hosted on a LibreOffice website or on a website controlled by a standards organization.
Comment 1 Robinson Tryon (qubit) 2013-02-08 02:35:56 UTC
Testing in 4.0.0.3 (Ubuntu 12.04),

When exporting to xhtml, the comment now reads:

---
<!--This file was converted to xhtml by LibreOffice - see http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/xslt for the code.-->
---

The file still contains the meta tag:

<meta name="DCTERMS.source" content="http://xml.openoffice.org/odf2xhtml"/>


I'd still like some confirmation on whether the DCTERMS.source url should point to a resource under the aegis of LibreOffice/TDF.
Comment 2 Jacques Guilleron 2013-06-06 13:03:02 UTC
Hello Qubit,

I reproduce with LO 4.0.2.2 & Windows 7 Home Premium.
Sure, if the first tag can change, why not the second one?

Have a nice day,

Jacques Guilleron
Comment 3 QA Administrators 2015-03-16 23:16:08 UTC Comment hidden (obsolete)
Comment 4 Robinson Tryon (qubit) 2015-03-19 04:58:46 UTC
UPDATE:

TESTING with master build from today on Ubuntu 14.04:

LO Version: 4.5.0.0.alpha0+
Build ID: bdad6d0fe492a2334cb27ef54fc5d1cba17d1970
TinderBox: Linux-rpm_deb-x86_64@46-TDF,
Branch:master, 
Time: 2015-03-19_00:36:37
Locale: en_US

(In reply to Robinson Tryon (qubit) from comment #1)

REPRO Steps:
1) Open Writer
2) Export file as XHTML

> When exporting to xhtml, the comment now reads:
> 
> ---
> <!--This file was converted to xhtml by LibreOffice - see
> http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/xslt for the
> code.-->
> ---

Same comment in file export here.

> 
> The file still contains the meta tag:
> 
> <meta name="DCTERMS.source" content="http://xml.openoffice.org/odf2xhtml"/>
> 

Yes -- the tag remains:

<meta name="DCTERMS.source" content="http://xml.openoffice.org/odf2xhtml"/>
Comment 5 tommy27 2016-04-16 07:25:20 UTC Comment hidden (obsolete)
Comment 6 Julien Nabet 2017-05-17 21:09:05 UTC
The quotations are from http://opengrok.libreoffice.org/xref/core/filter/source/xslt/

common/measure_conversion.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/body.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/styles/style_mapping_css.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/styles/style_collector.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/table/table_columns.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/table/table.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/table/table_rows.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/table/table_cells.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/common/table_of_content.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/xhtml/body.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/xhtml/table.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/xhtml/header.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml
export/xhtml/header.xsl:327:			<xsl:attribute name="content">http://xml.openoffice.org/odf2xhtml</xsl:attribute>
export/xhtml/header.xsl:403:		<link rel="transformation" href="http://xml.openoffice.org/odf2xhtml/rdf-extract.xsl" />
export/xhtml/opendoc2xhtml.xsl:20:	For further documentation and updates visit http://xml.openoffice.org/odf2xhtml

But what to put instead since there's no equivalent page on LO?
Comment 7 QA Administrators 2018-06-27 02:47:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-06-27 03:49:10 UTC Comment hidden (obsolete)
Comment 9 stragu 2021-05-18 07:21:41 UTC
The first part (about "converted by OpenOffice.org") is indeed fixed, but I am not sure the second part should be fixed if the filter in use is officially documented by that OpenOffice.org page.
Did LibreOffice make any change to the filter? And if so, where is its documentation hosted?

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 6b09276d157abada74e1a4989700139167207778
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-05-14_04:32:30
Calc: threaded
Comment 10 QA Administrators 2021-11-15 04:02:16 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2021-12-16 04:09:20 UTC
Dear Robinson Tryon (qubit),

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp